Page MenuHomePhabricator

TemplateStyles not applied in mobile talk page (overlay)
Open, MediumPublic

Description

Apparently, when viewing talk pages in the mobile version (or the app), potential TemplateStyles will not be applied to the "overlays container", which leads to rather strange outcomes in some cases. Obviously, there will always be templates on talk pages, so TemplateStyles must be applied also in the mobile view (and not just when continuing with "read as wiki page").

Random example: here the table is broken because of missing TemplateStyles

Developer notes

The talk overlay element with classes "content talk-section" needs to also add the class mw-parser-output

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2020, 12:17 PM

Hi @XanonymusX, can you please provide a full link to a web address where this issue can be seen? See https://www.mediawiki.org/wiki/How_to_report_a_bug - Thanks.

XanonymusX updated the task description. (Show Details)Apr 25 2020, 1:19 PM

I have added an example (but it's obviously a general problem, since the overlays container simply does not contain the mw-parser-output class)

Jdlrobson triaged this task as Medium priority.May 8 2020, 4:21 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
Izno added a subscriber: Izno.Jun 29 2020, 4:03 PM

Just as an FYI, another instance I think can be chalked up to this one is here.

Jdlrobson moved this task from Backlog to Team: web on the MobileFrontend board.Jul 24 2020, 2:38 AM